import { PropertyKeyType } from '@overflow/commons/core/type';

export class PropertyValue {
  private readonly name: PropertyKeyType;
  private readonly value: any;

  public constructor(name: PropertyKeyType, value: any) {
    this.name = name;
    this.value = value;
  }

  public get Name(): PropertyKeyType {
    return this.name;
  }
  public get Value(): any {
    return this.value;
  }
}