import { InjectablesType } from '@overflow/commons/application/decorators';
import { WebAppDispatcherReducer } from '../redux';


export const injectables: InjectablesType = [
  WebAppDispatcherReducer,
  {
    injectType: WebAppDispatcherReducer,
    injectableType: WebAppDispatcherReducer,
  },
  {
    injectType: WebAppDispatcherReducer,
    injectableFactory: function(): any {
      return new WebAppDispatcherReducer();
    },
  },
  {
    injectName: 'Name',
    injectableValue: 'TestValue',
  },

];
